(***********************************************************************)
(*                                                                     *)
(*                              OCamlGen                               *)
(*                                                                     *)
(*                       OCaml module Generator                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 1997-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: lib_read.mli,v 1.11 2014/01/31 09:51:52 fclement Exp $ *)

(** Runtime library for pretty-readers generated with OCamlGen. *)

open Scanf_reader;;

val read_unit : unit Scanf_reader.reader;;
val read_bool : bool reader;;
val read_quoted_string : string reader;;
val read_quoted_char : char reader;;
val read_quoted_int : int reader;;
val read_quoted_nativeint : nativeint reader;;
val read_quoted_int32 : int32 reader;;
val read_quoted_int64 : int64 reader;;
val read_quoted_float : float reader;;

val read_List : ('a, 'a list) reader_lifter;;
val read_Array : ('a, 'a array) reader_lifter;;
val read_Option : ('a, 'a option) reader_lifter;;

val read_fun : ('a -> 'b) reader;;

val read_poly : 'a reader;;

val read_list :
  ('a, Scanf.Scanning.in_channel, 'b, unit, 'a -> 'c, 'c) format6 ->
  ('d, 'd list) reader_lifter
;;
val read_array :
  ('a, Scanf.Scanning.in_channel, 'b, unit, 'a -> 'c, 'c) format6 ->
  ('d, 'd array) reader_lifter
;;
val read_option :
  ('a, Scanf.Scanning.in_channel, 'b, unit, 'a -> 'c, 'c) format6 ->
  ('d, 'd option) reader_lifter
;;
