(***********************************************************************)
(*                                                                     *)
(*                              OCamlGen                               *)
(*                                                                     *)
(*                       OCaml module Generator                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 1997-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: og_debug.mli,v 1.2 2014/01/31 09:51:52 fclement Exp $ *)

(** {3 Some simple generic tools for debugging} *)

val get_debug : unit -> bool;;

val set_debug : unit -> unit;;
(** Turn debugging on. *)

val failwith : string -> 'a;;
(** A special [Debug.failwith] function to be able to trace the failure
  strings. *)

val printf : ('a, out_channel, unit) format -> 'a;;
(** [Debug.printf] prints its arguments on [stderr]
    when debugging is on. *)

val message : string -> unit;;
(** [Debug.message] outputs a given message on [stderr]
    when debugging is on. *)

val warning : string -> unit;;
(** [Debug.warning] unconditionally outputs a warning on [stderr]. *)
